%global momorel 1
%global md5sum_src0 00de00b99382d0b7e034e0fffd8951d4

Summary: GNOME Structured File library
Name: libgsf

Version: 1.14.1
Release: %{momorel}m
Group: System Environment/Libraries
License: GPL
URL: http://www.gnome.org/gnumeric/

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.14/%{name}-%{version}.tar.bz2 %{md5sum_src0}

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gnome-vfs-devel >= 2.14.1
BuildPrereq: libbonobo-devel >= 2.14.0
BuildPrereq: libxml2-devel >= 2.6.24

%description
A library for reading and writing structured files (eg MS OLE and Zip)

%package devel
Summary: Support files necessary to compile applications with libgsf.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gnome-vfs-devel
Requires: libbonobo-devel

%description devel
Libraries, headers, and support files necessary to compile applications using libgsf.

%prep
%setup -q

%build
%configure --enable-gtk-doc --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

rm -f %{buildroot}%{_datadir}/locale/es/LC_MESSAGES/libgsf.mo
rm -f %{buildroot}%{_datadir}/locale/sv/LC_MESSAGES/libgsf.mo

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README
%{_libdir}/lib*.so.*
%{_bindir}/gsf-office-thumbnailer
%{_sysconfdir}/gconf/schemas/gsf-office-thumbnailer.schemas
%{_mandir}/man1/gsf-office-thumbnailer.1.bz2

%files devel
%defattr(644,root,root,755)
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libgsf-1/*
%{_datadir}/gtk-doc/html/gsf

%changelog
* Wed May 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.14.1-1m)
- update to 1.14.1

* Wed Apr 19 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.14.0-1m)
- update to 1.14.0

* Sun Dec 4 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.13.3-3m)
- delete link (nautilus was need version up!)

* Tue Nov 29 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.13.3-2m)
- add link libgsf-1.so.113 to libgsf-1.so.1
- For nautilus

* Tue Nov 29 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.13.3-1m)
- update to 1.13.3
- For gnumeric

* Sun Nov 20 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.12.3-1m)
- update to 1.12.3
- GNOME 2.12 Desktop

* Wed Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.11.1-1m)
- update to 1.11.1
- GNOME 2.8 Desktop

* Tue Dec 21 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.11.0-1m)
- update to 1.11.0

* Tue Aug 10 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.9.0-2m)
- use autoconf instead of autoconf-2.58

* Tue May 11 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.9.0-1m)
- update to 1.9.0

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.8.2-5m)
- GNOME 2.6 Desktop
- adjustment BuildPreReq

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.8.2-4m)
- rebuild against for libxml2-2.6.8

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (1.8.2-3m)
- revised spec for enabling rpm 4.2.

* Tue Oct 28 2003 Kenta MURATA <muraken2@nifty.com>
- (1.8.2-2m)
- pretty spec file.

* Fri Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (1.8.2-2m)
- change URL

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (1.8.2-1m)
- version 1.8.2

* Mon Jun 09 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.8.1-1m)
- version 1.8.1

* Mon May 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.8.0-1m)
- version 1.8.0

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.7.2-3m)
  rebuild against openssl 0.9.7a

* Sun Mar  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.2-2m)
- fix URL

* Wed Jan 29 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.7.2-1m)
- version 1.7.2

* Fri Dec 27 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.6.0-1m)
- version 1.6.0

* Mon Oct 28 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.5.0-1m)
- version 1.5.0

* Fri Oct  4 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.4.0-1m)
- version 1.4.0

* Mon Aug 26 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3.0-1m)
- version 1.3.0

* Tue Aug 13 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.0-1m)
- version 1.2.0

* Mon Aug 05 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.0-3m)
- rebuild against for glib-2.0.6
- rebuild against for gtk+-2.0.6
- rebuild against for pango-1.0.4
- rebuild against for atk-1.0.3

* Mon Jul 22 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.0-2m)
- fix file list

* Mon Jul 22 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.0-1m)
- create
